<?php
  // โปรแกรมนี้เป็นส่วนหน้าหลักของระบบ hps  ฟังก์ชัน man จัดการสัญญา่
  // สร้างโดย: admin   เมื่อ วันที่ 16  มีค.  2546
  include("checkindex.php");
  // การตรวจสอบสิทธิผู้ใช้
  // $useraccess['read'] เป็นจริงสามารถอ่านข้อมูลได้
  // $useraccess['insert'] เป็นจริงสามารถเพิ่มข้อมูลได้
  // $useraccess['delete'] เป็นจริงสามารถลบข้อมูลได้
  // $useraccess['update'] เป็นจริงสามารถปรับปรุงข้อมูลได้
 // function_head(); // แสดงส่วนหัว
 // เพิ่ม code ที่นี
   include("configs/convertdate.conf");
//  include ("hps.getct_no.inc.php");
  if($ct_no!=''){
  //  include ("hps.ctheadx.inc.php");
    $void_name=$userdata["fname"]." ".$userdata["lname"];
?>
<script language="javascript">
function voidbill(ctno,recbr,refno,refseq){
res=showModalDialog("hps.popup.voidbill.php?ct_no="+ctno+"&recbranch="+recbr+"&ref_no="+refno+"&refseq="+refseq+"&audit="+form1.void_usrno.value,"","dialogHeight:200px; center:yes;dialogWidth:500px;resizable:yes;status:no;scroll:yes");
if(res){
if(res.void_descript !=null){
if(confirm("ต้องการยกเลิกข้อมูลดังกล่าวจริงหรือไม่...")){
alert(ctno+' '+recbr+' '+refno+' '+refseq);
form1.cmd.value="cancel";
form1.vctno.value=ctno;
form1.vrecbranch.value=recbr;
form1.vrefno.value=refno;
form1.vrefseq.value=refseq;
form1.vconf.value=res.vconf;
form1.void_hint.value=res.void_descript;
form1.submit();
};
};
};
};
</script>
<form name="form1" method="post">
<input type="hidden" name="cmd">
<input type="hidden" name="vctno">
<input type="hidden" name="vrecbranch">
<input type="hidden" name="vrefno">
<input type="hidden" name="vrefseq">
<input type="hidden" name="void_hint">
<input type="hidden" name="vconf">
<input type="hidden" id="void_usrno" name="void_usrno" value="<?=$userdata["emp_id"]?>">
<input type="hidden" name="void_name" value="<?=$void_name?>">
</form>
<?
 $hps_pay =  $database->getAll("select * from hps_tran where ct_no = '$ct_no' order by tr_date");
	 $sum=0;
	 echo "<table width=100%>
	  <tr>
	  <th class=\"box1\">No.</th>
	  <th class=\"box1\">เลขที่ใบเสร็จ</th>
	  <th class=\"box1\">เลขที่อ้างอิง</th>
	  <th class=\"box1\">วันที่</th>
	  <th class=\"box1\">ครั้งที่</th>
	  <th class=\"box1\">สาขา</th>
	  <th class=\"box1\">พนักงาน</th>
	  <th class=\"box1\">จำนวนเงิน</th>
	  </tr>
	 ";
	 $n=1;
	 foreach($hps_pay as $row){
		 $tr_date =  NormalDate($row[tr_date]);
		 $pay_amnt = number_format($row[pay_amnt],2);
		 $d='';
		 $e='';

		 if($row[tr_status]<0){
			 $d="class=error";
			 $e="*ยกเลิก**";
		 }else{
		    $sum+=$row[pay_amnt];
		 }
		 if($xnbill=="1"){
		echo "<tr $d>
		<td>$n</td>
		<td>
		<a href=\"printrx.php?sid=hps&fid=pay2slipnew&ct_no=$row[ct_no]&recbranch=$row[recbranch]&ref_no=$row[ref_no]&ref_seq=$row[ref_seq]\" target=_blank><u>$row[ref_no]/$row[ref_seq]</u></a></td>
                  <td>$row[ref_id]</td>
		<td>$tr_date</td>
		<td align=center>$row[tr_no]</td>
		<td align=center>$row[recbranch]</td>
		<td align=center>$row[emp_id]</td>
		<td align=right>$e $pay_amnt บาท</td>
		<td><img src=\"images/email/printv.gif\">";
		if($userdata[emp_id]=="EM00069" || $userdata[emp_id]=="EM46003"){
		echo "<a href=\"printrx.php?sid=hps&fid=pay2slip&ct_no=$row[ct_no]&recbranch=$row[recbranch]&ref_no=$row[ref_no]&ref_seq=$row[ref_seq]\" target=_blank><u>ใบเสร็จแบบเดิม</u></a>";
		};
		echo "<a href=\"printrx.php?sid=hps&fid=pay2slipnew&flg=1&ct_no=$row[ct_no]&recbranch=$row[recbranch]&ref_no=$row[ref_no]&ref_seq=$row[ref_seq]\" target=_blank><u>พิมพ์ซ้ำ</u></a></td>";
		 }else{
		echo "<tr $d>
		<td>$n</td>
		<td>
		<a href=\"printrx.php?sid=hps&fid=pay2slipnew&ct_no=$row[ct_no]&recbranch=$row[recbranch]&ref_no=$row[ref_no]&ref_seq=$row[ref_seq]\" target=_blank>$row[recbranch]-$row[ref_no]/$row[ref_seq]</a></td>
                  <td>$row[ref_id]</td>
		<td>$tr_date</td>
		<td align=center>$row[tr_no]</td>
		<td align=center>$row[recbranch]</td>
		<td align=center>$row[emp_id]</td>
		<td align=right>$e $pay_amnt บาท</td>";
		echo "<td><a href=\"printslip.php?sid=hps&fid=printslip&ct_no=$row[ct_no]&recbranch=$row[recbranch]&ref_no=$row[ref_no]&ref_seq=$row[ref_seq]&flg=1\" target=_blank><u>ใบเสร็จแบบสลิป</u></a></td>";
		if($userdata[emp_id]=="EM00069" || $userdata[emp_id]=="EM46003"){
		echo "<td><a href=\"printrx.php?sid=hps&fid=pay2slipnew&ct_no=$row[ct_no]&recbranch=$row[recbranch]&ref_no=$row[ref_no]&ref_seq=$row[ref_seq]&flg=1\" target=_blank><u>ใบเสร็จแบบเดิม</u></a></td>";
		};
		};
		if((thaidbtodate($row[tr_date])==thaitoday()) || ($userdata["emp_id"]=="EM00139")){
		echo "<td align=right><input type=\"button\" value=\"ยกเลิก\" OnClick=\"voidbill('$row[ct_no]','$row[recbranch]','$row[ref_no]','$row[ref_seq]');\" $CanDelete></td>";
		};
		if($userdata["emp_id"]=="EM00069" || $userdata["emp_id"]=="EM00139"){
		echo "<td align=right><input type=\"button\" value=\"ยกเลิกย้อนหลัง\" OnClick=\"voidbill('$row[ct_no]','$row[recbranch]','$row[ref_no]','$row[ref_seq]');\" $CanExtra></td>";
		};
		echo "</tr>";
//		<td><a href=\"index.php?sid=hps&fid=history&ct_no=$row[ct_no]\">$row[ct_no]</a></td> เลขทีสัญญา
		 if($row[tr_status]>=0){
		    $detail = $database->getAll("select  * from hps_trandet where ct_no='$ct_no' and tr_no='$row[tr_no]' ");
			if(count($detail)>0){
		      foreach($detail as $det){
			   if($det['td_type']==3){
		           $sum-=$det['pay_amnt'];
		 $pay_amnt = number_format($det['pay_amnt'],2);
		echo "<tr>
		<td></td>
		<td></td>
		<td></td>
        <td colspan=3>- $det[td_detail]</td>
		<td></td>
		<td align=right>($pay_amnt) บาท</td>
		</tr>";

			   }
		    }
		   }
		}
	    $n++;
	 }
	   $sum = number_format($sum,2);
	    echo "<tr>
		<td colspan=6>รวม</td>
		<td align=right colspan=2 style=\"border-bottom-style:double;border-width:3\">$sum บาท</td>
		</tr>";
	 echo "</table>";
  }
?>

<h2>รายการค่าใช้จ่าย และ ส่วนลด</h2>
  <TABLE width="100%">
  <TR>
  	<TD class="box1">No.</TD>
  	<TD class="box1">วันที่</TD>
  	<TD class="box1">เอกสาร</TD>
  	<TD class="box1">ประเภท</TD>
  	<TD class="box1">รายละเอียด</TD>
  	<TD class="box1">ค่าใช้จ่าย(บาท)</TD>
  	<TD class="box1">ส่วนลด(บาท)</TD>
  </TR>
  <?
	  $all = $database->getAll("select * from hps_ctcost where ct_no='$ct_no' ");
      $n=0;
	  $sum1=0;
	  $sum2=0;
      foreach($all as $row){
		  $n++;
		  $cc_date = NormalDate($row[cc_date]);
		  $cc_amnt1='';
		  $cc_amnt2='';
		  if($row['cc_amnt']>0){
		     $cc_amnt1 =number_format($row['cc_amnt']);
			 $sum1=$sum1+$row['cc_amnt'];
		  }else{
		     $sum2=$sum2-$row['cc_amnt'];
		     $cc_amnt2 =number_format(-$row['cc_amnt']);
		  }
		  $cc_type = $costtype[$row[cc_type]];

		  if($cc_amnt > $cc_payamnt){
			  $bg = ' bgcolor=#550000';
			  $ck = ' <input type="checkbox" name="cc_type['.$row[cc_type].']">';
		  }else $bg=' bgcolor=#777777';

 echo "
   <TR>
  	<TD>$n</TD>
  	<TD>$cc_date</TD>
  	<TD>$row[cc_docno]</TD>
  	<TD>$cc_type</TD>
  	<TD>$row[cc_doc]</TD>
  	<TD>$cc_amnt1</TD>
  	<TD>$cc_amnt2</TD>
  </TR>
	  ";
	  }

  $sum1 =number_format($sum1);
  $sum2 =number_format($sum2);
  echo "
   <TR>
  	<TD></TD>
  	<TD>รวม</TD>
  	<TD></TD>
  	<TD></TD>
  	<TD></TD>
  	<TD>$sum1</TD>
  	<TD>$sum2</TD>
  </TR>
  ";
  echo " </TABLE>";
?>
